portability
Get portability id
Requires scopes: exports:download
GET
/
api
/
portability
/
imports
/
{id}
Get portability id
curl --request GET \
--url https://evalgate.com/api/portability/imports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/portability/imports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/portability/imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"import": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleHash": "<string>",
"sourceOrganizationId": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"dryRunToken": "<string>",
"dryRun": true,
"status": "<string>",
"conflictPolicy": "<string>",
"referencePolicy": "<string>",
"referenceRemap": {},
"plan": {
"bundleHash": "<string>",
"requestHash": "<string>",
"compatible": true,
"partial": true,
"assets": [
{
"canonicalRef": "<string>",
"targetCanonicalRef": "<string>",
"kind": "prompt",
"version": "<string>",
"targetVersion": "<string>",
"contentHash": "<string>",
"action": "create",
"compatible": true,
"issues": [
{
"code": "CONFLICT",
"message": "<string>",
"canonicalRef": "<string>"
}
]
}
],
"issues": [
{
"code": "CONFLICT",
"message": "<string>",
"canonicalRef": "<string>"
}
],
"dependencyOrder": [
"<string>"
],
"counts": {
"create": 123,
"replace": 123,
"skip": 123,
"createVersion": 123,
"reject": 123
}
},
"createdBy": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"events": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"importId": "<string>",
"action": "<string>",
"canonicalRef": "<string>",
"contentHash": "<string>",
"details": {},
"actorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
Get portability id
